#!/bin/bash
# Do not call this file directly, instead run alsamixertest.py

# Written by David Henningsson <david.henningsson@canonical.com>
# Copyright Canonical Ltd 2010. 
# Licensed under GPLv3.

INDEVICE=$1
OUTDEVICE=$2

if [ -e /tmp/dbtest.raw ]; then
  rm /tmp/dbtest.raw || exit 1
fi
if [ -e /tmp/dbtest.txt ]; then
  rm /tmp/dbtest.txt || exit 1
fi

aplay -q -D $OUTDEVICE sine.wav &
sleep 0.1s
arecord -q -f FLOAT64_LE -c 1 -r 48000 -d 1 -t raw -D $INDEVICE /tmp/dbtest.raw
./powerfft /tmp/dbtest.raw > /tmp/dbtest.txt 


